DynamicElementReader (Grails 3.3.3)
Date: 2018-03-07

Package: grails.spring

## [Groovy] Class DynamicElementReader

- grails.spring.DynamicElementReader

- Used by BeanBuilder to read a Spring namespace expression in the Groovy DSL.

  See Also:
    BeanBuilder
  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `BeanConfiguration` | `beanConfiguration`
    `boolean` | `beanDecorator`
    `org.xml.sax.EntityResolver` | `entityResolver`
    `org.xml.sax.ErrorHandler` | `errorHandler`
    `boolean` | `firstCall`
    `org.springframework.beans.factory.xml.NamespaceHandler` | `namespaceHandler`
    `org.springframework.beans.factory.xml.ParserContext` | `parserContext`
    `int` | `validationMode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DynamicElementReader (java.lang.String namespace, java.util.Map namespaceMap = Collections.EMPTY_MAP, org.springframework.beans.factory.xml.NamespaceHandler namespaceHandler = null, org.springframework.beans.factory.xml.ParserContext parserContext = null)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `afterInvocation()` Hook that subclass or anonymous classes can overwrite to implement custom behavior after invocation completes
    `` | `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
    `` | `void` | `setClassLoader(java.lang.ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### BeanConfiguration beanConfiguration

    - #### boolean beanDecorator

    - #### org.xml.sax.EntityResolver entityResolver

    - #### org.xml.sax.ErrorHandler errorHandler

    - #### boolean firstCall

    - #### org.springframework.beans.factory.xml.NamespaceHandler namespaceHandler

    - #### org.springframework.beans.factory.xml.ParserContext parserContext

    - #### int validationMode

  - ### Constructor Detail

    - #### DynamicElementReader(java.lang.String namespace, java.util.Map namespaceMap = Collections.EMPTY_MAP, org.springframework.beans.factory.xml.NamespaceHandler namespaceHandler = null, org.springframework.beans.factory.xml.ParserContext parserContext = null)

  - ### Method Detail

    - #### protected void afterInvocation()

      Hook that subclass or anonymous classes can overwrite to implement custom behavior after invocation completes

    - #### @java.lang.Override java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

    - #### void setClassLoader(java.lang.ClassLoader classLoader)